Bug 1292529 - [abrt] remmina: remmina_rdp_event_update_scale_factor(): remmina killed by SIGSEGV
[abrt] remmina: remmina_rdp_event_update_scale_factor(): remmina killed by SI...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:75d614ced02de860675154e652b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 12:16 EST by Carlos "casep" Sepulveda
Modified: 2016-08-16 13:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 16:19:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.59 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: core_backtrace (2.32 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: dso_list (12.22 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: environ (1.47 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: maps (59.27 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: mountinfo (3.46 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: open_fds (1.20 KB, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details
File: var_log_messages (289 bytes, text/plain)
2015-12-17 12:16 EST, Carlos "casep" Sepulveda
no flags Details

  None (edit)
Description Carlos "casep" Sepulveda 2015-12-17 12:16:25 EST
Description of problem:
Connecting to a remote desktop client (Windows 2012)

Version-Release number of selected component:
remmina-1.2.0-0.8.git.b3237e8.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina -i
crash_function: remmina_rdp_event_update_scale_factor
executable:     /usr/bin/remmina
global_pid:     1943
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #0 remmina_rdp_event_update_scale_factor at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_event.c:252
 #6 gtk_main at gtkmain.c:1241

Potential duplicate: bug 1236189
Comment 1 Carlos "casep" Sepulveda 2015-12-17 12:16:31 EST
Created attachment 1106766 [details]
File: backtrace
Comment 2 Carlos "casep" Sepulveda 2015-12-17 12:16:32 EST
Created attachment 1106767 [details]
File: cgroup
Comment 3 Carlos "casep" Sepulveda 2015-12-17 12:16:33 EST
Created attachment 1106768 [details]
File: core_backtrace
Comment 4 Carlos "casep" Sepulveda 2015-12-17 12:16:35 EST
Created attachment 1106769 [details]
File: dso_list
Comment 5 Carlos "casep" Sepulveda 2015-12-17 12:16:36 EST
Created attachment 1106770 [details]
File: environ
Comment 6 Carlos "casep" Sepulveda 2015-12-17 12:16:37 EST
Created attachment 1106771 [details]
File: exploitable
Comment 7 Carlos "casep" Sepulveda 2015-12-17 12:16:39 EST
Created attachment 1106772 [details]
File: limits
Comment 8 Carlos "casep" Sepulveda 2015-12-17 12:16:41 EST
Created attachment 1106773 [details]
File: maps
Comment 9 Carlos "casep" Sepulveda 2015-12-17 12:16:42 EST
Created attachment 1106774 [details]
File: mountinfo
Comment 10 Carlos "casep" Sepulveda 2015-12-17 12:16:43 EST
Created attachment 1106775 [details]
File: namespaces
Comment 11 Carlos "casep" Sepulveda 2015-12-17 12:16:45 EST
Created attachment 1106776 [details]
File: open_fds
Comment 12 Carlos "casep" Sepulveda 2015-12-17 12:16:46 EST
Created attachment 1106777 [details]
File: proc_pid_status
Comment 13 Carlos "casep" Sepulveda 2015-12-17 12:16:47 EST
Created attachment 1106778 [details]
File: var_log_messages
Comment 14 Pavel Alexeev 2016-01-05 16:19:23 EST
Thank you very much for the bugreport and willing free software better.

Unfortunately most of such problems known issues. But I can't update remmina in stable Fedora branches. Details you may read in description of that copr repo https://copr.fedoraproject.org/coprs/hubbitus/remmina-next/ . It also contains fresh versions of rfeerdp and remmina. I strongly recommend you try it. You may also try install packages from rawhide (may have unstable dependencies).

If packages in copr also does not solve you problem - please leave comments and reopen issue.

Also it is required to provide steps to reproduce problem.
Comment 15 Brian J. Murrell 2016-03-04 16:33:25 EST
Similar problem has been detected:

Tried to open a desktop share presentation from another user.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        remmina -c /run/user/1001/sipe/applicationsharing-16272-B51Dg1D39a834Fi861Bm04E6t2861bE0E7xFD89x.remmina
crash_function: remmina_rdp_event_update_scale_factor
executable:     /usr/bin/remmina
global_pid:     21002
kernel:         4.4.2-301.fc23.x86_64
package:        remmina-1.2.0-0.8.git.b3237e8.fc23
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 16 David Woodhouse 2016-03-04 17:38:56 EST
(In reply to Pavel Alexeev from comment #14)
> Thank you very much for the bugreport and willing free software better.
> 
> Unfortunately most of such problems known issues. But I can't update remmina
> in stable Fedora branches. 

Well... FreeRDP2 can be installed in *parallel* with FreeRDP 1.2. That isn't an update in a stable branch; it's just a new package :)

And are you actually updating the Remmina version, if you rebuild it against FreeRDP2 and fix a bunch of bugs while you're at it?

It's not like we actually built against a *released* version of FreeRDP before...
Comment 17 Pavel Alexeev 2016-08-16 13:26:05 EDT
Updates already present in aforementioned copr repository and in rawhide (Fedora 25 also).

Note You need to log in before you can comment on or make changes to this bug.